---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - d19d0722-dc4f-53e7-8343-5a02b0fb53f0
      tier: AATSR_CMP_MONTH
      value: 0.0378577783703804
    brdf:
      alpha_1:
        band_1: 0.45446067498065007
        band_11: 0.66827491560465
        band_12: 0.7039249654235725
        band_2: 0.45419288218842674
        band_3: 0.43838612273417743
        band_4: 0.5194173764158347
        band_5: 0.5182773224009078
        band_6: 0.5184635095323519
        band_7: 0.6885625915806133
        band_8: 0.6886501442751757
        band_8a: 0.6886685082848443
      alpha_2:
        band_1: 0.15236361460379458
        band_11: 0.09159754196645485
        band_12: 0.12408096951363566
        band_2: 0.15246085893608147
        band_3: 0.16953473251972673
        band_4: 0.17131376953038574
        band_5: 0.17116793276060419
        band_6: 0.17120026580208977
        band_7: 0.08081881647920394
        band_8: 0.08075967393081519
        band_8a: 0.08086232448969552
      id:
      - c715d2a6-d83f-5ee3-b2b7-27075d15f06f
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8770d769-6332-5aaa-8105-f9329c878a9c
      tier: DEFINITIVE
      value: 0.325
    water_vapour:
      id:
      - 35e372b7-8418-53d1-b402-fe1e9607306a
      tier: DEFINITIVE
      value: 1.9299999237060548
  id: 1bead7f3-292c-42b8-8c39-c98cf45d4aa4
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1909.6177169697714
      BAND-11: 232.47707790905935
      BAND-12: 79.51127144670373
      BAND-2: 1951.9187672945648
      BAND-3: 1827.6890904283607
      BAND-4: 1492.308761984036
      BAND-5: 1377.5925467753978
      BAND-6: 1257.0576644721557
      BAND-7: 1150.7649346379535
      BAND-8: 1019.1983649554071
      BAND-8A: 929.4286861853277
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-08-22 00:07:39.603811Z
    atime: 2023-09-02 10:04:52Z
    ctime: 2023-08-22 05:40:45Z
    mtime: 2023-08-22 05:40:39Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-08/35S145E-40S150E/S2A_MSIL1C_20230822T000231_N0509_R030_T55HET_20230822T012524.zip
  system_information:
    hostname: gadi-cpu-clx-1254.gadi.nci.org.au
    runtime_id: 28de8440-4978-11ee-ab3c-00000096fe80
    time_processed: 2023-09-02 10:04:52.546248Z
    uname: 'Linux gadi-cpu-clx-1254.gadi.nci.org.au 4.18.0-477.15.1.el8.nci.x86_64
      #1 SMP Sun Jul 16 11:36:47 AEST 2023 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 11.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 5
  granule: S2A_OPER_MSI_L1C_TL_2APS_20230822T012524_A042641_T55HET_N05.09
  ref_date: '2014-02-07T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata-2/GCP/GQA_v3/wrs2/091/086/LC80910862014038LGN00_B6.TIF
  residual:
    abs:
      x: 3.36
      xy: 31.56
      y: 31.38
    abs_iterative_mean:
      x: 1.76
      xy: 31.53
      y: 31.48
    cep90: 33.3
    iterative_mean:
      x: 1.09
      xy: 31.5
      y: 31.48
    iterative_stddev:
      x: 1.98
      xy: 2.66
      y: 1.77
    mean:
      x: 0.22
      xy: 31.38
      y: 31.38
    stddev:
      x: 4.05
      xy: 4.87
      y: 2.72
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 1.1386590965269423
    cloud: 56.86659357698731
    cloud_shadow: 1.4862192874522349
    snow: 0.05097980536235723
    water: 40.45754823367116
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 41.47586545077786
    cloud: 58.52413454922214
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.7
...
